Opened 2 years ago

Closed 6 months ago

Last modified 6 months ago

#3264 closed defect (fixed)

t.info -g not working with eval because of spaces in the output

Reported by: veroandreo Owned by: grass-dev@…
Priority: normal Milestone: 7.2.4
Component: Temporal Version: svn-trunk
Keywords: t.info, eval Cc:
CPU: Unspecified Platform: Linux

Description

eval `t.info -g tempmean` gives the following error:

bash: 09:23:20.445316: command not found...

because there is a space in creation_time between the date and time. There are spaces in modification_time, start_time, end_time and granularity, as well. Here is part of the output of t.info -g tempmean

id=tempmean@climate_1970_2012
name=tempmean
mapset=climate_1970_2012
creator=veroandreo
temporal_type=absolute
creation_time=2016-09-23 09:23:20.445316
modification_time=2016-09-23 09:25:30.412821
semantic_type=mean
start_time=2000-01-01 00:00:00
end_time=2013-01-01 00:00:00
granularity=1 month
map_time=interval

Maybe those spaces could be quoted?

Attachments (1)

tinfo.diff (2.1 KB) - added by lucadelu 12 months ago.
fixed patch from veroandreo

Download all attachments as: .zip

Change History (8)

comment:1 Changed 13 months ago by neteler

Milestone: 7.0.67.0.7

comment:2 Changed 12 months ago by lucadelu

The attached patch should with eval but I don't know if it is changing behaviour in other situation.

Maybe a special flag for eval is needed?

Changed 12 months ago by lucadelu

Attachment: tinfo.diff added

fixed patch from veroandreo

comment:3 Changed 6 months ago by lucadelu

Resolution: fixed
Status: newclosed

In 73442:

temporal library: eval support for t.info, fixed #3264

comment:4 Changed 6 months ago by lucadelu

In 73443:

temporal library: eval support for t.info, see #3264 (backport r73442)

comment:5 Changed 6 months ago by lucadelu

In 73444:

temporal library: eval support for t.info, see #3264 (backport r73442)

comment:6 Changed 6 months ago by lucadelu

In 73445:

temporal library: eval support for t.info, see #3264 (backport r73442)

comment:7 Changed 6 months ago by lucadelu

Milestone: 7.0.77.2.4
Note: See TracTickets for help on using tickets.